name: vbvs_app
description: "智慧睡眠APP"
publish_to: "none" # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ^3.5.4

dependencies:
  qr_flutter: ^4.1.0
  flutter:
    sdk: flutter
  ef:
    git:
      # url: http://admin@git.real.he-info.cn:8080/r/ef.git
      url: https://gitea.wslpc.real.he-info.cn:94/flutter/ef.git
      ref: main
  get_storage: ^2.1.1
  cupertino_icons: ^1.0.8
  flutter_svg: ^2.0.10+1
  EasyDartModule:
    git:
      url: http://git.he-info.cn/r/~qmqz/EasyDartModule.git
      ref: cff5448fe07ca7f2141dcb1b7c5ee430ca44d64d
  flutter_localization: ^0.3.1
  syncfusion_localizations: ^27.2.5
  flutterflow_ui:
    git:
      url: http://admin@git.real.he-info.cn:8080/r/~lu/flutterflow-ui.git
      ref: master
  # lottie: ^3.2.0
  flutter_blue_plus: ^1.35.3
  permission_handler: ^12.0.0+1
  loading_indicator: ^3.1.1
  geolocator: ^13.0.1
  easydevice:
    git:
      url: https://gitea.wslpc.real.he-info.cn:94/flutter/easydevice.git
      # url: http:///enchantedwyf@git.it.real.he-info.cn:90/r/easydevice.git
      ref: main
  localstorage: ^5.0.0
  img_picker: ^1.0.2
  uuid: ^4.5.1
  mobile_scanner: ^6.0.10
  # flutter_barcode_scanner: ^2.0.0
  flutter_inappwebview: ^6.1.5
  fluwx: ^5.5.2
  connectivity_plus: ^6.1.4
  google_sign_in: ^6.2.1
  azlistview: ^2.0.0
  path: ^1.8.0
  flutter_pdfview: ^1.4.0+1
  flutter_switch: ^0.3.2
  timeline_tile: ^2.0.0
  flutter_slidable: ^3.1.1
  flutter_city_picker: ^2.1.1
  weather: ^3.1.1
  lpinyin: ^2.0.3
  geocoding: ^2.1.0
  # fl_chart: ^1.0.0
  video_player: ^2.9.5
  chewie: ^1.10.0
  map_launcher: ^3.5.0
  gif: ^2.3.0
  easyweb:
    git:
      url: https://gitea.wslpc.real.he-info.cn:94/flutter/easyweb.git
      ref: e86d515f77
  archive: ^4.0.0


dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^4.0.0
  build_runner: ^2.4.6
  json_serializable: ^6.8.0

dependency_overrides:
  http_parser: ^4.1.0
  collection: ^1.19.0
  data_table_2: 2.5.16 # 2.5.17版本以后会报错,data_table_2.dart:525:47: Error:The method 'withValues' isn't defined ffor the class 'Color'
  flutter_blue_plus: 1.34.5 # 1.35.0 版本android连接蓝牙有问题
  geolocator: 13.0.3
  geolocator_android: 4.4.1
  geocoding: 2.1.0

flutter:
  uses-material-design: true
  assets:
    - assets/langs/
    - assets/mhlangs/
    - assets/images/
    - assets/images/toast/
    - assets/images/icon/
    - assets/img/
    - assets/img/menu/
    - assets/img/icon/
  fonts:
    - family: calculatrix
      fonts:
        - asset: assets/fonts/calculatrix.ttf
